"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.openidClient = openidClient;

var _openidClient = require("openid-client");

async function openidClient({
  provider
}) {
  const issuer = new _openidClient.Issuer({
    issuer: `https://${provider.domain}`,
    authorization_endpoint: provider.authorizationUrl,
    userinfo_endpoint: provider.profileUrl,
    token_endpoint: provider.accessTokenUrl,
    jwks_uri: `https://${provider.domain}/.well-known/jwks.json`
  });
  const client = new issuer.Client({
    client_id: provider.clientId,
    client_secret: provider.clientSecret,
    redirect_uris: [provider.callbackUrl]
  });
  return client;
}