"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = parseProviders;

function parseProviders({
  providers = [],
  baseUrl,
  basePath
}) {
  return providers.map(provider => ({ ...provider,
    signinUrl: `${baseUrl}${basePath}/signin/${provider.id}`,
    callbackUrl: `${baseUrl}${basePath}/callback/${provider.id}`,

    async profile(...args) {
      var _ref, _args$0$sub;

      if (provider.profile) {
        var _provider$profile;

        return (_provider$profile = provider.profile) === null || _provider$profile === void 0 ? void 0 : _provider$profile.call(provider, ...args);
      }

      return {
        id: (_ref = (_args$0$sub = args[0].sub) !== null && _args$0$sub !== void 0 ? _args$0$sub : args[0].id) !== null && _ref !== void 0 ? _ref : 'id'
      };
    }

  }));
}